Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for LDAP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.ldapadapter.appconn
Class CompareEntryImpl

    java.lang.Object
      com.stc.connector.ldapadapter.appconn.CompareEntryImpl

All Implemented Interfaces:
  CompareEntry

    public class CompareEntryImpl

extends java.lang.Object
implements CompareEntry

This class is used to perform the Compare operation on the LDAP server. It compares the entry specified with the matching entry in the directory.

Version:
  $Revision: 1.7 $
Author:

Constructor Summary
`protected` | `CompareEntryImpl(LDAPClientApplicationImpl app)` Creates a new instance of CompareEntry

Method Summary
`CompareEntryOptions` | `getCompareEntryOptions()` Method to retrieve the options set for the compare entry
`boolean` | `performCompare()` Method that performs the compare operation
`void` | `reset()` Method to reset the values

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CompareEntryImpl

    protected CompareEntryImpl(LDAPClientApplicationImpl app)

  Creates a new instance of CompareEntry

  Parameters:
    `app` - The LDAP client application associated with this CompareEntry instance.

Method Detail

### getCompareEntryOptions

    public CompareEntryOptions getCompareEntryOptions()
                                               throws LDAPApplicationException

  Method to retrieve the options set for the compare entry

  Specified by:
    `getCompareEntryOptions` in interface `CompareEntry`
  Returns:
    the CompareEntryOptions object associated with this instance
  Throws:
    `LDAPApplicationException` - if there is no connection is available to the LDAP server.

### performCompare

    public boolean performCompare()
                           throws LDAPApplicationException

  Method that performs the compare operation

  Specified by:
    `performCompare` in interface `CompareEntry`
  Returns:
    true if the compare operation was executed successfully
  Throws:
    `LDAPApplicationException` - if there is no connection is available to the LDAP server.

### reset

    public void reset()

  Method to reset the values

  Specified by:
    `reset` in interface `CompareEntry`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for LDAP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD